.car-box{
    margin-top: 0;
    width: 100%;
    height: 800px;
    position: relative;
    background:linear-gradient(rgba(0,0,0,.5),rgba(0,0,0,.8)),url(../img/ground.jpg);
    background-size: contain;
    background-position: top center;
    background-attachment: fixed;
    overflow: hidden;
    overflow-x: hidden;
    text-align: center;
    .blueCar{
        width: 1920px;
        height: 1200px;
        margin-right: 1000px;
        background-image:url(../img/blueCar.png);
        background-repeat: no-repeat;
        position: absolute;
        top: -550px;
    }
    .text{
        width: 400px;
        height: 100px;
        margin: 50px 50px 100px 500px;
        top: 600px;
        position: absolute;
        h1{
            font-size: 100px;
            text-decoration-line: underline;
            color: white;
        }
    }
    .car{
        width: 1920px;
        height: 1200px;
        margin-left: 1000px;
        background-image:url(../img/car.png);
        background-repeat: no-repeat;
        position: absolute;
        top: -600px;
    }
    
}

.content{
    width: 100%;
    height: 3000px;
    position: relative;   
    .values{
        width: 720px;
        position: absolute;
        left: 10%;
        top: 400px;
        display:grid;
        grid-template-columns: 33% 33% 33%;
        div{
            width: 90px;
            height: 50px;
            border: 1px solid white;
            text-align: center;
            border-radius: 10px;
            p{
                color: aliceblue;
                font-size: 25px;
                margin-top: 7px;
            }
        }
    }
    .descriptionText{
        width: 700px;
        position: absolute;
        left: 5%;
        top: 500px;
        p{
            color: aliceblue;
            font-size:20px;
            text-align: center;
        }
    }
    .carPictureBox{
        width: 700px;
        height: 700px;
        position: absolute;
        top: 200px;
        right: 0;
        opacity: 0;
        transform: translateX(40px);
        transition: 0.3s ease-in-out;
        &.is-showing-car{
            opacity: 1;
            transform: translateX(0px);
        }
        img{
            max-width: 100%;
            max-height: 100%;
        }
    }
    
    .interiorPictureBox{
        width: 700px;
        height: 700px;
        position: absolute;
        top:700px;
        left: 5%;
        opacity: 0;
        transform: translateX(20px);
        transition: 0.3s ease-in-out;
        img{
            max-width: 100%;
            max-height: 100%;
        }
        &.is-showing-interior{
            opacity: 1;
            transform: translateX(0px);
            transition-delay: 0.4s;
        }
    }
    .descriptionTextInterior{
        width: 600px;
        position: absolute;
        right: 20px;
        top:700px;
        text-align: center;
        p{
            color: aliceblue;
            font-size: 20px;
        }
    }
    // colors section needed for showing the color of car
    .colors{
        position: absolute;
        top: 1600px;
        width: 100%;
        height: 200px;
        .red{
            width: 300px;
            height: 50px;
            position: absolute;
            right: 0;
            background-color: crimson;
            transform: scaleX(0);
            transition: 0.3s;
            z-index: 1;
            &.is-scaled-red{
                transform: scaleX(1);
                transform-origin: right;
            }
            &:hover{
                transform: scaleX(1.3);
                transform-origin: right;
                transition: 0.3s;
            }
        }
        .blue{
            width: 300px;
            height: 50px;
            position: absolute;
            right: 0;
            margin-top: 50px;
            background-color: blue;
            z-index: 1;
            transform: scaleX(0);
            transition: 0.3s;
            &.is-scaled-blue{
                transform: scaleX(1);
                transform-origin: right;
                transition-delay: 0.3s;
            }
            &:hover{
                transform: scaleX(1.3);
                transform-origin: right;
                transition: 0.3s;
            }
        }
        .black{
            width: 300px;
            height: 50px;
            position: absolute;
            right: 0;
            margin-top: 100px;
            background-color: black;
            z-index: 1;
            transform: scaleX(0);
            transition: 0.3s;
            &.is-scaled-black{
                transform: scaleX(1);
                transform-origin: right;
                transition-delay: 0.6s;
            }
            &:hover{
                transform: scaleX(1.3);
                transform-origin: right;
                transition: 0.3s;
            }
        }
        .white{
            width: 300px;
            height: 50px;
            position: absolute;
            right: 0;
            margin-top: 150px;
            background-color: white;
            z-index: 1;
            transform: scaleX(0);
            transition: 0.3s;
            &.is-scaled-white{
                transform: scaleX(1);
                transform-origin: right;
                transition-delay: 0.9s;
            }
            &:hover{
                transform: scaleX(1.3);
                transform-origin: right;
                transition: 0.3s;
            }
        }

        .redAston{
            width: 1500px;
            height: 500px;
            position: absolute;
            left: 100px;
            opacity: 0;
            transition: 0.3s ease-in-out;
            z-index: 0;
            &.is-showed-red{
                opacity: 1;
            }
            img{
                max-width: 100%;
                max-height: 100%;
            }        
        }
        .blueAston{
            width: 1500px;
            height: 500px;
            position: absolute;
            left: 100px;
            opacity: 0;
            transition: 0.3s ease-in-out;
            z-index: 0;
            &.is-showed-blue{
                opacity: 1;
            }
            img{
                max-width: 100%;
                max-height: 100%;
            }        
        }
        .blackAston{
            width: 1500px;
            height: 500px;
            position: absolute;
            left: 100px;
            opacity: 0;
            transition: 0.3s ease-in-out;
            z-index: 0;
            &.is-showed-black{
                opacity: 1;
            }
            img{
                max-width: 100%;
                max-height: 100%;
            }        
        }
        .whiteAston{
            width: 1500px;
            height: 500px;
            position: absolute;
            left:100px;
            opacity: 0;
            transition: 0.3s ease-in-out;
            z-index: 0;
            &.is-showed-white{
                opacity: 1;
            }
            img{
                max-width: 100%;
                max-height: 100%;
            }        
        }
    }
}

h3{
    position: absolute;
    left: 10%;
    top: 300px;
    font-size: 50px;
    color: aliceblue;
}













